Entwurf Anordnung

From FreeCAD Documentation
Revision as of 11:25, 1 February 2017 by Holdi (talk | contribs) (Created page with "Mit dem Werkzeug Feld (Array) können Felder mit linearer oder kreisförmiger Struktur aus einem gewählten Objektserzeugt werden. Lineare Felder können 1- bis 3-dimensional...")

Draft Array

Menu location
Draft → Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
PathArray

Mit dem Werkzeug Feld (Array) können Felder mit linearer oder kreisförmiger Struktur aus einem gewählten Objektserzeugt werden. Lineare Felder können 1- bis 3-dimensional sein: linear, eben oder räumlich. Ein polares Feld besteht nur aus auf einem Kreis angeordneten Objektkopien.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button

Options

  • The array starts as orthogonal by default, you can then change its mode in the properties.

Properties

  • DatenArray Type: Specifies the type of the array, ortho or polar

For orthogonal arrays:

  • DatenInterval X: The interval between each copy on the first axis
  • DatenInterval Y: The interval between each copy on the second axis
  • DatenInterval Z: The interval between each copy on the third axis
  • DatenNumber X: The number of copies on the first axis
  • DatenNumber Y: The number of copies on the second axis
  • DatenNumber Z: The number of copies on the third axis

For polar arrays:

  • DatenAxis: The normal direction of the array circle
  • DatenCenter: The center point of the array
  • DatenAngle: The angle to cover with copies
  • DatenNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

For rectangular array:

makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)